class SafeObject

  def method_missing(name, *args, &blk)
    puts "method_missing => #{name}, #{args}"
  end

  def respond_to_missing?(name, include_private = false)
    puts "respond_to_missing? => #{name}, #{include_private}"
    true
  end

end