
module SigtermExtensions
  # A class with no predefined methods that behaves similarly to Builder's
  # BlankSlate. Used for proxy classes.
  class ProxyObject < ::BasicObject
    #undef_method :== if defined? :==
    #undef_method :equal?

    # Let SigtermExtensions::ProxyObject at least raise exceptions.
    def raise(*args)
      ::Object.send(:raise, *args)
    end
  end
end